import request from '@/utils/request'

// 查询培训签字列表
export function listRoster(query) {
  return request({
    url: '/training/roster/list',
    method: 'get',
    params: query
  })
}

// 查询培训签字详细
export function getRoster(id) {
  return request({
    url: '/training/roster/' + id,
    method: 'get'
  })
}

// 新增培训签字
export function addRoster(data) {
  return request({
    url: '/training/roster',
    method: 'post',
    data: data
  })
}

// 修改培训签字
export function updateRoster(data) {
  return request({
    url: '/training/roster',
    method: 'put',
    data: data
  })
}

// 删除培训签字
export function delRoster(id) {
  return request({
    url: '/training/roster/' + id,
    method: 'delete'
  })
}

export function wordView(id) {
  return request({
    url: '/training/roster/wordView/'+id,
    method: 'get'
  })
}
